MWParserInternal::FileHeader Struct Reference

Document header. More...

## Public Member Functions

| FileHeader ()

## Public Attributes

int | m_numParagraphs [3]
| the number of lines : text, header footer More...
bool | m_hideFirstPageHeaderFooter
| true if the first page header/footer must be draw More...
int | m_startNumberPage
| the first number page More...
long | m_freeListPos
| free list start position More...
long | m_freeListLength
| free list length More...
long | m_freeListAllocated
| free list allocated More...
long | m_dataPos
| the begin of data ( if version == 3) More...

## Friends

std::ostream & | operator<< (std::ostream &o, FileHeader const &header)

## Detailed Description

Document header.

## Constructor & Destructor Documentation

MWParserInternal::FileHeader::FileHeader | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FileHeader const & | header
| ) |  |

friend

## Member Data Documentation

long MWParserInternal::FileHeader::m_dataPos

the begin of data ( if version == 3)

Referenced by MWParser::checkHeader(), MWParser::createZonesV3(), and MWParserInternal::operator<<().

long MWParserInternal::FileHeader::m_freeListAllocated

free list allocated

Referenced by MWParser::checkHeader(), and MWParserInternal::operator<<().

long MWParserInternal::FileHeader::m_freeListLength

free list length

Referenced by MWParser::checkHeader(), and MWParserInternal::operator<<().

long MWParserInternal::FileHeader::m_freeListPos

free list start position

Referenced by MWParser::checkHeader(), and MWParserInternal::operator<<().

bool MWParserInternal::FileHeader::m_hideFirstPageHeaderFooter

true if the first page header/footer must be draw

Referenced by MWParser::checkHeader(), and MWParserInternal::operator<<().

int MWParserInternal::FileHeader::m_numParagraphs[3]

the number of lines : text, header footer

Referenced by MWParser::checkHeader(), MWParser::createZonesV3(), FileHeader(), and MWParserInternal::operator<<().

int MWParserInternal::FileHeader::m_startNumberPage

the first number page

Referenced by MWParser::checkHeader(), and MWParserInternal::operator<<().

The documentation for this struct was generated from the following file:

- MWParser.cxx